%define compatv 71
%{?compatv:%define compatfv 7.1}
%{!?compatv:%define compatfv 7.0}
%global _extdir %{_libdir}/php%{?compatv}/extensions

Summary:	SQL %{?compatfv} Relay modules for PHP
Summary(ko):	PHP %{?compatfv} SQL Relay 모듈
Name:		php%{?compatv}-sqlrelay
Version:	0.66.0
Release:	1%{?dist}
Epoch:		1

Group:		Development/Languages
License:	GPLv2/LGPLv2 and Others
URL:		http://sqlrelay.sourceforge.net
Source0:	php-sqlrelay-%{version}.tar.bz2
Patch0:		php-sqlrelay-compat71.patch

BuildRequires: php%{?compatv}-devel >= %{compatfv}.0
BuildRequires: rudiments-devel > 0.55.0
BuildRequires: sqlrelay-client-devel-c++ >= 0.66.0
Requires:	php%{?compatv}api, rudiments > 0.55.0, sqlrelay-client-runtime-c++ >= 0.66.0

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
This extension is php extension for sqlrelay binding


%prep
%setup -q -n php-sqlrelay-%{version}
%{?compatv:%patch0 -p1}


%build
%{__make}


%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__install} -d -m 755 %{buildroot}%{_extdir}
%{__install} -m 755 php/.libs/sqlrelay.so %{buildroot}%{_extdir}/
%{__install} -m 755 phppdo/.libs/pdo_sqlrelay.so %{buildroot}%{_extdir}/

%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},cli,fpm}
%{!?compatv:%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php%{?compatv}.d/apache/}
%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php%{?compatv}.d/cli/
%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php%{?compatv}.d/fpm/

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/sqlrelay.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/cli/sqlrelay.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/sqlrelay.ini
%attr(755,root,root) %{_extdir}/*.so

%changelog
* Sun Oct  2 2016 JoungKyun.Kim <http://oops.org> 1:0.66.0-1%{?dist}
- update 0.66.0

* Mon Jan 11 2016 JoungKyun.Kim <http://oops.org> 1:0.64-1%{?dist}
- migrate for PHP 7

